package com.xisc.pm.domain.entity;

import com.fasterxml.jackson.annotation.JsonInclude;
import io.choerodon.mybatis.annotation.ModifyAudit;
import io.choerodon.mybatis.annotation.VersionAudit;
import io.choerodon.mybatis.domain.AuditDomain;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import javax.persistence.GeneratedValue;
import javax.persistence.Id;
import javax.persistence.Table;
import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * MES合同主档(QdToPoOrder)实体类
 *
 * @author BKGY
 * @since 2025-02-26 11:02:52
 */

@ApiModel("MES合同主档")
@VersionAudit
@ModifyAudit
@JsonInclude(value = JsonInclude.Include.NON_NULL)
@Table(name = "QD_TO_PO_ORDER")
public class QdToPoOrder extends AuditDomain implements Serializable {
    private static final long serialVersionUID = -22226415323941126L;

    public static final String FIELD_POM_ID = "pomId";
    public static final String FIELD_PACT_NO = "pactNo";
    public static final String FIELD_ORDER_NO = "orderNo";
    public static final String FIELD_SEND_NUM = "sendNum";
    public static final String FIELD_ORDER_TYPE_CODE = "orderTypeCode";
    public static final String FIELD_ORDER_NO_ERP = "orderNoErp";
    public static final String FIELD_ORDER_NO_CUSTOM = "orderNoCustom";
    public static final String FIELD_MERG_ORDER_NO = "mergOrderNo";
    public static final String FIELD_ORDER_CREATE_TIME = "orderCreateTime";
    public static final String FIELD_ORDER_RECV_TIME = "orderRecvTime";
    public static final String FIELD_DELIVY_DATE = "delivyDate";
    public static final String FIELD_DELIVY_DATE_PERD = "delivyDatePerd";
    public static final String FIELD_DELIVY_DATE_ACCU = "delivyDateAccu";
    public static final String FIELD_DELIVY_DATE_USER = "delivyDateUser";
    public static final String FIELD_PROD_READY_DATE = "prodReadyDate";
    public static final String FIELD_URG_ORDER_FLAG = "urgOrderFlag";
    public static final String FIELD_DELIVY_QTY_FLAG = "delivyQtyFlag";
    public static final String FIELD_FIN_CUST_CODE = "finCustCode";
    public static final String FIELD_FIN_CUST_ENAME = "finCustEname";
    public static final String FIELD_FIN_CUST_CNAME = "finCustCname";
    public static final String FIELD_ORDER_CUST_CODE = "orderCustCode";
    public static final String FIELD_ORDER_CUST_ENAME = "orderCustEname";
    public static final String FIELD_ORDER_CUST_CNAME = "orderCustCname";
    public static final String FIELD_CONSIGN_USER_CODE = "consignUserCode";
    public static final String FIELD_CONSIGN_CUST_ENAME = "consignCustEname";
    public static final String FIELD_CONSIGN_CUST_CNAME = "consignCustCname";
    public static final String FIELD_BALANCE_USER_CODE = "balanceUserCode";
    public static final String FIELD_BALANCE_USER_CNAME = "balanceUserCname";
    public static final String FIELD_BALANCE_USER_ENAME = "balanceUserEname";
    public static final String FIELD_PSC = "psc";
    public static final String FIELD_APN = "apn";
    public static final String FIELD_MSC = "msc";
    public static final String FIELD_SG_SIGN = "sgSign";
    public static final String FIELD_SG_STD = "sgStd";
    public static final String FIELD_SURFACE_ACCU = "surfaceAccu";
    public static final String FIELD_SURFACE_ACCU_CLASS_CODE = "surfaceAccuClassCode";
    public static final String FIELD_SURFACE_ACCU_CODE = "surfaceAccuCode";
    public static final String FIELD_CUST_STD_CODE = "custStdCode";
    public static final String FIELD_CUST_STD = "custStd";
    public static final String FIELD_CUST_SG_CODE = "custSgCode";
    public static final String FIELD_CUST_SG = "custSg";
    public static final String FIELD_PROD_CODE = "prodCode";
    public static final String FIELD_PROD_ENAME = "prodEname";
    public static final String FIELD_PROD_ENAME_OTHER = "prodEnameOther";
    public static final String FIELD_PROD_CNAME = "prodCname";
    public static final String FIELD_PROD_CNAME_OTHER = "prodCnameOther";
    public static final String FIELD_CERTI_NUM = "certiNum";
    public static final String FIELD_METRIC_OR_ENG_FLAG = "metricOrEngFlag";
    public static final String FIELD_CHN_OR_ENG_FLAG = "chnOrEngFlag";
    public static final String FIELD_ORDER_THICK = "orderThick";
    public static final String FIELD_ORDER_ENG_THICK = "orderEngThick";
    public static final String FIELD_ORDER_WIDTH = "orderWidth";
    public static final String FIELD_ORDER_ENG_WIDTH = "orderEngWidth";
    public static final String FIELD_ORDER_LEN = "orderLen";
    public static final String FIELD_ORDER_ENG_LEN = "orderEngLen";
    public static final String FIELD_ORDER_MIN_LEN = "orderMinLen";
    public static final String FIELD_ORDER_MAX_LEN = "orderMaxLen";
    public static final String FIELD_ORDER_ENG_MIN_LEN = "orderEngMinLen";
    public static final String FIELD_ORDER_ENG_MAX_LEN = "orderEngMaxLen";
    public static final String FIELD_ORDER_WT = "orderWt";
    public static final String FIELD_DELIVY_WT_TOL_PLUS = "delivyWtTolPlus";
    public static final String FIELD_DELIVY_WT_TOL_MINUS = "delivyWtTolMinus";
    public static final String FIELD_ORDER_UNIT_AIM_WT = "orderUnitAimWt";
    public static final String FIELD_ORDER_UNIT_MIN_WT = "orderUnitMinWt";
    public static final String FIELD_ORDER_UNIT_MAX_WT = "orderUnitMaxWt";
    public static final String FIELD_ORDER_SHORT_RATE = "orderShortRate";
    public static final String FIELD_ORDER_SHORT_MAX = "orderShortMax";
    public static final String FIELD_ORDER_SHORT_MIN = "orderShortMin";
    public static final String FIELD_ORDER_UNIT_CODE = "orderUnitCode";
    public static final String FIELD_ORDER_QTY = "orderQty";
    public static final String FIELD_ORDER_NUM = "orderNum";
    public static final String FIELD_DELIVY_NUM_TOL_PLUS = "delivyNumTolPlus";
    public static final String FIELD_DELIVY_NUM_TOL_MINUS = "delivyNumTolMinus";
    public static final String FIELD_WT_METHOD_CODE = "wtMethodCode";
    public static final String FIELD_WT_METHOD_NAME = "wtMethodName";
    public static final String FIELD_PACK_TYPE_CODE = "packTypeCode";
    public static final String FIELD_MARK_TYPE_CODE = "markTypeCode";
    public static final String FIELD_MARK_TYPE_DESC = "markTypeDesc";
    public static final String FIELD_MARK_POS_CODE = "markPosCode";
    public static final String FIELD_MARK_POS_DESC = "markPosDesc";
    public static final String FIELD_ORDER_SPECIAL = "orderSpecial";
    public static final String FIELD_NEW_TEST_NO = "newTestNo";
    public static final String FIELD_EXPORT_FLAG = "exportFlag";
    public static final String FIELD_TRNP_MODE_CODE = "trnpModeCode";
    public static final String FIELD_DELIVY_PLACE_CODE = "delivyPlaceCode";
    public static final String FIELD_DELIVY_PLACE_NAME = "delivyPlaceName";
    public static final String FIELD_PROD_DIF = "prodDif";
    public static final String FIELD_PROD_CODE_HP = "prodCodeHp";
    public static final String FIELD_PROD_DENSITY = "prodDensity";
    public static final String FIELD_PROD_AUTH = "prodAuth";
    public static final String FIELD_BETTER_SURF_WARD_CODE = "betterSurfWardCode";
    public static final String FIELD_WT_AIM = "wtAim";
    public static final String FIELD_CHECK_METHOD_CODE = "checkMethodCode";
    public static final String FIELD_ACCPT_MODE_CODE = "accptModeCode";
    public static final String FIELD_ACCP_AUTH_CODE = "accpAuthCode";
    public static final String FIELD_ACCPT_STD = "accptStd";
    public static final String FIELD_CHECK_AUTH_CODE = "checkAuthCode";
    public static final String FIELD_DELIVY_DATE_TRNP = "delivyDateTrnp";
    public static final String FIELD_USER_APPO_THICK = "userAppoThick";
    public static final String FIELD_TWO_ROLL_ORDER_MARK = "twoRollOrderMark";
    public static final String FIELD_TWO_ROLL_MARK = "twoRollMark";
    public static final String FIELD_ORDER_MODI_QMARK = "orderModiQmark";
    public static final String FIELD_PROJECT_CODE = "projectCode";
    public static final String FIELD_PROJECT_NAME = "projectName";
    public static final String FIELD_SHP_CODE = "shpCode";
    public static final String FIELD_WIDTH_DIV = "widthDiv";
    public static final String FIELD_WIDTH_MIN = "widthMin";
    public static final String FIELD_WIDTH_MAX = "widthMax";
    public static final String FIELD_LEN_DIV = "lenDiv";
    public static final String FIELD_LEN_AIM = "lenAim";
    public static final String FIELD_WT_THICK_ADD = "wtThickAdd";
    public static final String FIELD_GAUGE_COMP = "gaugeComp";
    public static final String FIELD_USER_MANAGE_NM = "userManageNm";
    public static final String FIELD_SHOT_FLAG = "shotFlag";
    public static final String FIELD_SHOT_PAINT_CODE = "shotPaintCode";
    public static final String FIELD_TOP_PAINT_CODE = "topPaintCode";
    public static final String FIELD_BOT_PAINT_CODE = "botPaintCode";
    public static final String FIELD_STACK_MARK = "stackMark";
    public static final String FIELD_STACK_MARK_SIZE = "stackMarkSize";
    public static final String FIELD_TRIM_FLAG = "trimFlag";
    public static final String FIELD_PRIVATE_ROUTE_CODE = "privateRouteCode";
    public static final String FIELD_PRIVATE_ROUTE_NAME = "privateRouteName";
    public static final String FIELD_GIVE_SAMPLE_FLAG = "giveSampleFlag";
    public static final String FIELD_GIVE_SAMPLE_SHARP = "giveSampleSharp";
    public static final String FIELD_GIVE_SAMPLE_LEN = "giveSampleLen";
    public static final String FIELD_SETTLE_CODE = "settleCode";
    public static final String FIELD_MSC_LINE_NO = "mscLineNo";
    public static final String FIELD_CERTI_STD = "certiStd";
    public static final String FIELD_SPECIAL_PRINT = "specialPrint";
    public static final String FIELD_SECTION_MANAGE = "sectionManage";
    public static final String FIELD_HULL_SECTION_NO = "hullSectionNo";
    public static final String FIELD_MIN_THICK = "minThick";
    public static final String FIELD_MAX_THICK = "maxThick";
    public static final String FIELD_NUCEAR_PART_NO = "nucearPartNo";
    public static final String FIELD_DELIVERY_DATE = "deliveryDate";
    public static final String FIELD_PUR_ORDER = "purOrder";
    public static final String FIELD_INGOT_ROLL = "ingotRoll";
    public static final String FIELD_SCALE_THICK = "scaleThick";
    public static final String FIELD_NEED_LECQUERING = "needLecquering";
    public static final String FIELD_WITNESS_TYPE = "witnessType";
    public static final String FIELD_START_WORK_FILE_FLAG = "startWorkFileFlag";
    public static final String FIELD_THICK_TOL_MAX = "thickTolMax";
    public static final String FIELD_THICK_TOL_MIN = "thickTolMin";
    public static final String FIELD_PRODUCT_TARG_THICK = "productTargThick";
    public static final String FIELD_WIDTH_TOL_MAX = "widthTolMax";
    public static final String FIELD_WIDTH_TOL_MIN = "widthTolMin";
    public static final String FIELD_LEN_TOL_MAX = "lenTolMax";
    public static final String FIELD_LEN_TOL_MIN = "lenTolMin";
    public static final String FIELD_THICK_ADDV = "thickAddv";
    public static final String FIELD_WIDTH_ADDV = "widthAddv";
    public static final String FIELD_LEN_ADDV = "lenAddv";
    public static final String FIELD_MAT_DESIGN_FLAG = "matDesignFlag";
    public static final String FIELD_UOE_FLAG = "uoeFlag";
    public static final String FIELD_SAMPLE_LEN_HEAD = "sampleLenHead";
    public static final String FIELD_SAMPLE_LEN_TAIL = "sampleLenTail";
    public static final String FIELD_RAIN_DELV_FLAG = "rainDelvFlag";
    public static final String FIELD_ULT_DETECT_STD1 = "ultDetectStd1";
    public static final String FIELD_ULT_DETECT_STD2 = "ultDetectStd2";
    public static final String FIELD_ULT_DETECT_STD3 = "ultDetectStd3";
    public static final String FIELD_ULT_DETECT_STD4 = "ultDetectStd4";
    public static final String FIELD_ULT_DETECT_STD5 = "ultDetectStd5";
    public static final String FIELD_BACKLOG_UT_MARK = "backlogUtMark";
    public static final String FIELD_BACKLOG_N_MARK = "backlogNMark";
    public static final String FIELD_BACKLOG_Q_MARK = "backlogQMark";
    public static final String FIELD_BACKLOG_T_MARK = "backlogTMark";
    public static final String FIELD_BACKLOG_A_MARK = "backlogAMark";
    public static final String FIELD_BACKLOG_DEMAG_MARK = "backlogDemagMark";
    public static final String FIELD_BACKLOG_PT_MARK = "backlogPtMark";
    public static final String FIELD_BACKLOG_MT_MARK = "backlogMtMark";
    public static final String FIELD_BACKLOG_TMCP_MARK = "backlogTmcpMark";
    public static final String FIELD_PROD_SR_MARK = "prodSrMark";
    public static final String FIELD_PROD_SIDE_MARK = "prodSideMark";
    public static final String FIELD_PROD_SHOT_MARK = "prodShotMark";
    public static final String FIELD_PROD_N_MARK = "prodNMark";
    public static final String FIELD_PROD_Q_MARK = "prodQMark";
    public static final String FIELD_PROD_T_MARK = "prodTMark";
    public static final String FIELD_PROD_A_MARK = "prodAMark";
    public static final String FIELD_C_DIV = "cDiv";
    public static final String FIELD_ALLOY_DIV = "alloyDiv";
    public static final String FIELD_SLAB_MIN_LEN_RATE = "slabMinLenRate";
    public static final String FIELD_SLAB_MAX_LEN_RATE = "slabMaxLenRate";
    public static final String FIELD_SLAB_MIN_WT_RATE = "slabMinWtRate";
    public static final String FIELD_PICK_PATTERN_CODE = "pickPatternCode";
    public static final String FIELD_SAMPLE_MODE_CODE = "sampleModeCode";
    public static final String FIELD_PLATE_CROWN = "plateCrown";
    public static final String FIELD_PLUS_FLAG = "plusFlag";
    public static final String FIELD_DELIVERY_STATE = "deliveryState";
    public static final String FIELD_PLANER_FLAG = "planerFlag";
    public static final String FIELD_TENANT_ID = "tenantId";
    public static final String FIELD_ATTRIBUTE1 = "attribute1";
    public static final String FIELD_ATTRIBUTE2 = "attribute2";
    public static final String FIELD_ATTRIBUTE3 = "attribute3";
    public static final String FIELD_ATTRIBUTE4 = "attribute4";
    public static final String FIELD_ATTRIBUTE5 = "attribute5";
    public static final String FIELD_STAINLESS_THK = "stainlessThk";
    public static final String FIELD_COMP_BOARD_DENSITY = "compBoardDensity";
    public static final String FIELD_PROD_CLASS_CODE = "prodClassCode";
    public static final String FIELD_PROV_CODE = "provCode";
    public static final String FIELD_WITNESS_PRO_NO = "witnessProNo";
    public static final String FIELD_PAY_CODE = "payCode";
    public static final String FIELD_PRINT_TYPE = "printType";
    public static final String FIELD_FACE_PRINT_DETAIL_A = "facePrintDetailA";
    public static final String FIELD_FACE_PRINT_DETAIL_B = "facePrintDetailB";
    public static final String FIELD_FACE_PRINT_DETAIL_C = "facePrintDetailC";
    public static final String FIELD_FACE_PRINT_DETAIL_D = "facePrintDetailD";
    public static final String FIELD_FACE_PRINT_DETAIL_E = "facePrintDetailE";
    public static final String FIELD_FACE_PRINT_DETAIL_F = "facePrintDetailF";
    public static final String FIELD_FACE_PRINT_DETAIL_G = "facePrintDetailG";
    public static final String FIELD_FACE_PRINT_DETAIL_H = "facePrintDetailH";
    public static final String FIELD_SIDE_PRINT_DETAIL_A = "sidePrintDetailA";
    public static final String FIELD_SIDE_PRINT_DETAIL_B = "sidePrintDetailB";
    public static final String FIELD_STAMP_PRINT_DETAIL_A = "stampPrintDetailA";
    public static final String FIELD_STAMP_PRINT_DETAIL_B = "stampPrintDetailB";
    public static final String FIELD_STAMP_PRINT_DETAIL_C = "stampPrintDetailC";
    public static final String FIELD_STAMP_PRINT_DETAIL_D = "stampPrintDetailD";
    public static final String FIELD_YS_STAND = "ysStand";
    public static final String FIELD_YS_REMARK = "ysRemark";
    public static final String FIELD_TS_STAND = "tsStand";
    public static final String FIELD_TS_REMARK = "tsRemark";
    public static final String FIELD_TS_MAX = "tsMax";
    public static final String FIELD_TS_MIN = "tsMin";
    public static final String FIELD_HARDNESS_AIM = "hardnessAim";
    public static final String FIELD_THK_TOL_TYPE = "thkTolType";
    public static final String FIELD_WIDTH_AIM = "widthAim";
    public static final String FIELD_RALLY_FLAG = "rallyFlag";
    public static final String FIELD_SALESMAN = "salesman";
    public static final String FIELD_AXIAL_ROLL_MARK = "axialRollMark";
    public static final String FIELD_WARRANTY_RULE = "warrantyRule";
    public static final String FIELD_WARRANTY_HEAD = "warrantyHead";
    public static final String FIELD_PAINT_KIND = "paintKind";
    public static final String FIELD_PAINT_COLOR = "paintColor";
    public static final String FIELD_PAINT_THICK = "paintThick";
    public static final String FIELD_PRODUCT_BRUSH_POSITION = "productBrushPosition";
    public static final String FIELD_PRODUCT_BRUSH_COLOR = "productBrushColor";
    public static final String FIELD_PACKAGE_REQUIRE = "packageRequire";
    public static final String FIELD_SPEC_LOAD_REQ = "specLoadReq";
    public static final String FIELD_PAC = "pac";
    public static final String FIELD_ERP_UT_SPEC1 = "erpUtSpec1";
    public static final String FIELD_ERP_UT_GRADE1 = "erpUtGrade1";
    public static final String FIELD_ERP_UT_SPEC2 = "erpUtSpec2";
    public static final String FIELD_ERP_UT_GRADE2 = "erpUtGrade2";
    public static final String FIELD_ERP_UT_SPEC3 = "erpUtSpec3";
    public static final String FIELD_ERP_UT_GRADE3 = "erpUtGrade3";
    public static final String FIELD_IS_UT = "isUt";
    public static final String FIELD_THICK_FLUC = "thickFluc";
    public static final String FIELD_GIVE_SAMPLE_FREQ = "giveSampleFreq";
    public static final String FIELD_SETT_USER_NUM = "settUserNum";
    public static final String FIELD_SETT_USER_NAME = "settUserName";
    public static final String FIELD_SETT_USER_ENAME = "settUserEname";
    public static final String FIELD_ACT_USER_CODE = "actUserCode";
    public static final String FIELD_ACT_USER_CNAME = "actUserCname";
    public static final String FIELD_ACT_USER_ENAME = "actUserEname";
    public static final String FIELD_SAMPLE_GEN_FLAG = "sampleGenFlag";
    public static final String FIELD_CUST_HEAT_TREATMENT_TYPE = "custHeatTreatmentType";
    public static final String FIELD_IS_RESULT_CHE = "isResultChe";
    public static final String FIELD_SPECIAL_PRINT2 = "specialPrint2";

    @ApiModelProperty("表ID，主键")
    @Id
    @GeneratedValue
    private Long pomId;

    @ApiModelProperty(value = "合约号")
    private String pactNo;

    @ApiModelProperty(value = "合同号", required = true)
    @NotBlank
    private String orderNo;

    @ApiModelProperty(value = "发送次数")
    private Long sendNum;

    @ApiModelProperty(value = "合同性质代码")
    private String orderTypeCode;

    @ApiModelProperty(value = "合同号(ERP系统)")
    private String orderNoErp;

    @ApiModelProperty(value = "合同的客户订单编号")
    private String orderNoCustom;

    @ApiModelProperty(value = "归并合同号")
    private String mergOrderNo;

    @ApiModelProperty(value = "合同创建时间")
    private Date orderCreateTime;

    @ApiModelProperty(value = "合同接收时间")
    private Date orderRecvTime;

    @ApiModelProperty(value = "交货日期")
    private String delivyDate;

    @ApiModelProperty(value = "交货日期期别")
    private String delivyDatePerd;

    @ApiModelProperty(value = "交货日期精度")
    private String delivyDateAccu;

    @ApiModelProperty(value = "用户期望交货日期")
    private String delivyDateUser;

    @ApiModelProperty(value = "生产备妥日期")
    private Date prodReadyDate;

    @ApiModelProperty(value = "紧急合同标记")
    private String urgOrderFlag;

    @ApiModelProperty(value = "按量发货标志")
    private String delivyQtyFlag;

    @ApiModelProperty(value = "最终用户代码")
    private String finCustCode;

    @ApiModelProperty(value = "最终用户英文名称")
    private String finCustEname;

    @ApiModelProperty(value = "最终用户中文名称")
    private String finCustCname;

    @ApiModelProperty(value = "订货用户代码")
    private String orderCustCode;

    @ApiModelProperty(value = "订货用户英文名称")
    private String orderCustEname;

    @ApiModelProperty(value = "订货用户中文名称")
    private String orderCustCname;

    @ApiModelProperty(value = "收货用户代码")
    private String consignUserCode;

    @ApiModelProperty(value = "收货用户英文名称")
    private String consignCustEname;

    @ApiModelProperty(value = "收货用户中文名称")
    private String consignCustCname;

    @ApiModelProperty(value = "结算用户代码")
    private String balanceUserCode;

    @ApiModelProperty(value = "结算用户中文全称")
    private String balanceUserCname;

    @ApiModelProperty(value = "结算用户英文全称")
    private String balanceUserEname;

    @ApiModelProperty(value = "产品规范码")
    private String psc;

    @ApiModelProperty(value = "产品最终用途码")
    private String apn;

    @ApiModelProperty(value = "冶金规范码")
    private String msc;

    @ApiModelProperty(value = "标准牌号")
    private String sgSign;

    @ApiModelProperty(value = "执行标准")
    private String sgStd;

    @ApiModelProperty(value = "表面精度")
    private String surfaceAccu;

    @ApiModelProperty(value = "表面精度大类代码")
    private String surfaceAccuClassCode;

    @ApiModelProperty(value = "表面精度代码")
    private String surfaceAccuCode;

    @ApiModelProperty(value = "用户标准代码")
    private String custStdCode;

    @ApiModelProperty(value = "用户标准")
    private String custStd;

    @ApiModelProperty(value = "用户牌号代码")
    private String custSgCode;

    @ApiModelProperty(value = "用户牌号代码")
    private String custSg;

    @ApiModelProperty(value = "品名代码")
    private String prodCode;

    @ApiModelProperty(value = "品名英文")
    private String prodEname;

    @ApiModelProperty(value = "品名英文别名")
    private String prodEnameOther;

    @ApiModelProperty(value = "品名中文")
    private String prodCname;

    @ApiModelProperty(value = "品名中文别名")
    private String prodCnameOther;

    @ApiModelProperty(value = "质保书份数")
    private Long certiNum;

    @ApiModelProperty(value = "公英制标志")
    private String metricOrEngFlag;

    @ApiModelProperty(value = "中英文标志")
    private String chnOrEngFlag;

    @ApiModelProperty(value = "订货厚度")
    private Long orderThick;

    @ApiModelProperty(value = "订货英制厚度")
    private String orderEngThick;

    @ApiModelProperty(value = "订货宽度")
    private Long orderWidth;

    @ApiModelProperty(value = "订货英制宽度")
    private String orderEngWidth;

    @ApiModelProperty(value = "订货长度")
    private Long orderLen;

    @ApiModelProperty(value = "订货英制长度")
    private String orderEngLen;

    @ApiModelProperty(value = "订货最小长度")
    private Long orderMinLen;

    @ApiModelProperty(value = "订货最大长度")
    private Long orderMaxLen;

    @ApiModelProperty(value = "订货英制最小长度")
    private String orderEngMinLen;

    @ApiModelProperty(value = "订货英制最大长度")
    private String orderEngMaxLen;

    @ApiModelProperty(value = "订货重量")
    private Long orderWt;

    @ApiModelProperty(value = "交货重量正公差")
    private Long delivyWtTolPlus;

    @ApiModelProperty(value = "交货重量负公差")
    private Long delivyWtTolMinus;

    @ApiModelProperty(value = "订货重量单件目标值")
    private Long orderUnitAimWt;

    @ApiModelProperty(value = "订货重量单件最小值")
    private Long orderUnitMinWt;

    @ApiModelProperty(value = "订货重量单件最大值")
    private Long orderUnitMaxWt;

    @ApiModelProperty(value = "订货短尺率")
    private Long orderShortRate;

    @ApiModelProperty(value = "订货最大短尺")
    private Long orderShortMax;

    @ApiModelProperty(value = "订货最小短尺")
    private Long orderShortMin;

    @ApiModelProperty(value = "订货计量单位代码")
    private String orderUnitCode;

    @ApiModelProperty(value = "订货数量")
    private Long orderQty;

    @ApiModelProperty(value = "订货件数")
    private Long orderNum;

    @ApiModelProperty(value = "交货件数正公差")
    private Long delivyNumTolPlus;

    @ApiModelProperty(value = "交货件数负公差")
    private Long delivyNumTolMinus;

    @ApiModelProperty(value = "计重方式代码")
    private String wtMethodCode;

    @ApiModelProperty(value = "计重方式名称")
    private String wtMethodName;

    @ApiModelProperty(value = "包装类型代码")
    private String packTypeCode;

    @ApiModelProperty(value = "标记（唛头）类型代码")
    private String markTypeCode;

    @ApiModelProperty(value = "标记（唛头）类型说明")
    private String markTypeDesc;

    @ApiModelProperty(value = "标记位置代码")
    private String markPosCode;

    @ApiModelProperty(value = "标记位置说明")
    private String markPosDesc;

    @ApiModelProperty(value = "合同特殊要求")
    private String orderSpecial;

    @ApiModelProperty(value = "新试号")
    private String newTestNo;

    @ApiModelProperty(value = "出口标记")
    private String exportFlag;

    @ApiModelProperty(value = "运输方式代码")
    private String trnpModeCode;

    @ApiModelProperty(value = "交货地点代码")
    private String delivyPlaceCode;

    @ApiModelProperty(value = "交货地点名称")
    private String delivyPlaceName;

    @ApiModelProperty(value = "产品分类")
    private String prodDif;

    @ApiModelProperty(value = "厚板品种代码")
    private String prodCodeHp;

    @ApiModelProperty(value = "产品密度")
    private Long prodDensity;

    @ApiModelProperty(value = "产品认证")
    private String prodAuth;

    @ApiModelProperty(value = "好面朝向代码")
    private String betterSurfWardCode;

    @ApiModelProperty(value = "目标重量")
    private Long wtAim;

    @ApiModelProperty(value = "厚板会检方式代码")
    private String checkMethodCode;

    @ApiModelProperty(value = "验收方式代码")
    private String accptModeCode;

    @ApiModelProperty(value = "验收机关代码")
    private String accpAuthCode;

    @ApiModelProperty(value = "验收标准")
    private String accptStd;

    @ApiModelProperty(value = "会检机关代码")
    private String checkAuthCode;

    @ApiModelProperty(value = "船期交货日期")
    private String delivyDateTrnp;

    @ApiModelProperty(value = "用户指定厚度")
    private Long userAppoThick;

    @ApiModelProperty(value = "二次压本合同标记")
    private String twoRollOrderMark;

    @ApiModelProperty(value = "二次压母材合同标记")
    private String twoRollMark;

    @ApiModelProperty(value = "合同强制变更标志")
    private String orderModiQmark;

    @ApiModelProperty(value = "工程代码")
    private String projectCode;

    @ApiModelProperty(value = "工程名称")
    private String projectName;

    @ApiModelProperty(value = "钢板形状代码")
    private String shpCode;

    @ApiModelProperty(value = "宽度区分,0定尺,1非定尺")
    private String widthDiv;

    @ApiModelProperty(value = "宽度下限")
    private Long widthMin;

    @ApiModelProperty(value = "宽度上限")
    private Long widthMax;

    @ApiModelProperty(value = "长度区分,0定尺,1非定尺")
    private String lenDiv;

    @ApiModelProperty(value = "目标长度")
    private Long lenAim;

    @ApiModelProperty(value = "理论重量厚度添加量")
    private Long wtThickAdd;

    @ApiModelProperty(value = "厚度补偿量")
    private Long gaugeComp;

    @ApiModelProperty(value = "用户管理号")
    private String userManageNm;

    @ApiModelProperty(value = "抛丸要否")
    private String shotFlag;

    @ApiModelProperty(value = "抛丸涂漆代码")
    private String shotPaintCode;

    @ApiModelProperty(value = "上表面涂料代码")
    private String topPaintCode;

    @ApiModelProperty(value = "下表面涂料代码")
    private String botPaintCode;

    @ApiModelProperty(value = "堆垛记号")
    private String stackMark;

    @ApiModelProperty(value = "堆垛记号尺寸区分")
    private String stackMarkSize;

    @ApiModelProperty(value = "切边标记")
    private String trimFlag;

    @ApiModelProperty(value = "专用线代码")
    private String privateRouteCode;

    @ApiModelProperty(value = "专用线名称")
    private String privateRouteName;

    @ApiModelProperty(value = "奉送样标记")
    private String giveSampleFlag;

    @ApiModelProperty(value = "奉送样形状")
    private String giveSampleSharp;

    @ApiModelProperty(value = "奉送试材长度")
    private Long giveSampleLen;

    @ApiModelProperty(value = "付款条件代码")
    private String settleCode;

    @ApiModelProperty(value = "产线号")
    private String mscLineNo;

    @ApiModelProperty(value = "质保书标准打印要否")
    private String certiStd;

    @ApiModelProperty(value = "特殊喷印要求")
    private String specialPrint;

    @ApiModelProperty(value = "是否分段管理 0 不进行分体管理  1 进行分段管理")
    private String sectionManage;

    @ApiModelProperty(value = "分段号")
    private String hullSectionNo;

    @ApiModelProperty(value = "厚度平均值下限")
    private Long minThick;

    @ApiModelProperty(value = "厚度平均值上限")
    private Long maxThick;

    @ApiModelProperty(value = "核电用钢零件号")
    private String nucearPartNo;

    @ApiModelProperty(value = "客户预计交期")
    private String deliveryDate;

    @ApiModelProperty(value = "采购订单号")
    private String purOrder;

    @ApiModelProperty(value = "是否钢锭轧制")
    private String ingotRoll;

    @ApiModelProperty(value = "是否多点测厚")
    private String scaleThick;

    @ApiModelProperty(value = "喷漆标志，0为不喷，1为厂内喷漆，2为厂外喷漆")
    private String needLecquering;

    @ApiModelProperty(value = "见证类型")
    private String witnessType;

    @ApiModelProperty(value = "开工文件审查标记")
    private String startWorkFileFlag;

    @ApiModelProperty(value = "厚度公差上限")
    private Long thickTolMax;

    @ApiModelProperty(value = "厚度公差下限")
    private Long thickTolMin;

    @ApiModelProperty(value = "成品目标厚度")
    private Long productTargThick;

    @ApiModelProperty(value = "宽度公差上限")
    private Long widthTolMax;

    @ApiModelProperty(value = "宽度公差下限")
    private Long widthTolMin;

    @ApiModelProperty(value = "长度公差上限")
    private Long lenTolMax;

    @ApiModelProperty(value = "长度公差下限")
    private Long lenTolMin;

    @ApiModelProperty(value = "厚度余量")
    private Long thickAddv;

    @ApiModelProperty(value = "宽度余量")
    private Long widthAddv;

    @ApiModelProperty(value = "长度余量")
    private Long lenAddv;

    @ApiModelProperty(value = "人工材料设计标记")
    private String matDesignFlag;

    @ApiModelProperty(value = "UOE合同标记")
    private String uoeFlag;

    @ApiModelProperty(value = "头部试材长度")
    private Long sampleLenHead;

    @ApiModelProperty(value = "尾部试材长度")
    private Long sampleLenTail;

    @ApiModelProperty(value = "雨天出厂可否")
    private String rainDelvFlag;

    @ApiModelProperty(value = "超声探伤标准1")
    private String ultDetectStd1;

    @ApiModelProperty(value = "超声探伤标准2")
    private String ultDetectStd2;

    @ApiModelProperty(value = "超声探伤标准3")
    private String ultDetectStd3;

    @ApiModelProperty(value = "超声探伤标准4")
    private String ultDetectStd4;

    @ApiModelProperty(value = "超声探伤标准5")
    private String ultDetectStd5;

    @ApiModelProperty(value = "工序记号（超声探伤）")
    private String backlogUtMark;

    @ApiModelProperty(value = "工序记号（正火）")
    private String backlogNMark;

    @ApiModelProperty(value = "工序记号（淬火）")
    private String backlogQMark;

    @ApiModelProperty(value = "工序记号（回火）")
    private String backlogTMark;

    @ApiModelProperty(value = "工序记号（退火）")
    private String backlogAMark;

    @ApiModelProperty(value = "工序记号（脱磁）")
    private String backlogDemagMark;

    @ApiModelProperty(value = "工序记号（PT探伤）")
    private String backlogPtMark;

    @ApiModelProperty(value = "工序记号（MT探伤）")
    private String backlogMtMark;

    @ApiModelProperty(value = "工序记号（TMCP）")
    private String backlogTmcpMark;

    @ApiModelProperty(value = "制品记号（试验片SR）")
    private String prodSrMark;

    @ApiModelProperty(value = "制品记号（边部形态）")
    private String prodSideMark;

    @ApiModelProperty(value = "制品记号（抛丸涂漆）")
    private String prodShotMark;

    @ApiModelProperty(value = "制品记号（试验片正火）")
    private String prodNMark;

    @ApiModelProperty(value = "制品记号（试验片淬火）")
    private String prodQMark;

    @ApiModelProperty(value = "制品记号（试验片回火）")
    private String prodTMark;

    @ApiModelProperty(value = "制品记号（试验片退火）")
    private String prodAMark;

    @ApiModelProperty(value = "碳锈区分")
    private String cDiv;

    @ApiModelProperty(value = "合金区分")
    private String alloyDiv;

    @ApiModelProperty(value = "板坯最小长度系数")
    private Long slabMinLenRate;

    @ApiModelProperty(value = "板坯最大长度系数")
    private Long slabMaxLenRate;

    @ApiModelProperty(value = "板坯重量最小值系数")
    private Long slabMinWtRate;

    @ApiModelProperty(value = "试材采取方式代码")
    private String pickPatternCode;

    @ApiModelProperty(value = "取样方式代码")
    private String sampleModeCode;

    @ApiModelProperty(value = "钢板凸度")
    private Long plateCrown;

    @ApiModelProperty(value = "正负标志")
    private String plusFlag;

    @ApiModelProperty(value = "交货状态")
    private String deliveryState;

    @ApiModelProperty(value = "刨分标记,1允许刨分,0不允许刨分")
    private String planerFlag;

    @ApiModelProperty(value = "租户ID", required = true)
    @NotNull
    private Long tenantId;

    private String attribute1;

    private String attribute2;

    private String attribute3;

    private String attribute4;

    private String attribute5;

    @ApiModelProperty(value = "不锈钢厚度")
    private Long stainlessThk;

    @ApiModelProperty(value = "复合板密度")
    private Long compBoardDensity;

    @ApiModelProperty(value = "产品大类代码")
    private String prodClassCode;

    @ApiModelProperty(value = "销售区域")
    private String provCode;

    @ApiModelProperty(value = "见证项目号")
    private String witnessProNo;

    @ApiModelProperty(value = "付费标记")
    private String payCode;

    @ApiModelProperty(value = "喷印方式", required = true)
    @NotNull
    private Long printType;

    @ApiModelProperty(value = "面喷第一行")
    private String facePrintDetailA;

    @ApiModelProperty(value = "面喷第二行")
    private String facePrintDetailB;

    @ApiModelProperty(value = "面喷第三行")
    private String facePrintDetailC;

    @ApiModelProperty(value = "面喷第四行")
    private String facePrintDetailD;

    @ApiModelProperty(value = "面喷第五行")
    private String facePrintDetailE;

    @ApiModelProperty(value = "面喷第六行")
    private String facePrintDetailF;

    @ApiModelProperty(value = "面喷第七行")
    private String facePrintDetailG;

    @ApiModelProperty(value = "面喷第八行")
    private String facePrintDetailH;

    @ApiModelProperty(value = "侧喷第一行")
    private String sidePrintDetailA;

    @ApiModelProperty(value = "侧喷第二行")
    private String sidePrintDetailB;

    @ApiModelProperty(value = "刻印第一行")
    private String stampPrintDetailA;

    @ApiModelProperty(value = "刻印第二行")
    private String stampPrintDetailB;

    @ApiModelProperty(value = "刻印第三行")
    private String stampPrintDetailC;

    @ApiModelProperty(value = "刻印第四行")
    private String stampPrintDetailD;

    @ApiModelProperty(value = "屈服强度代表值")
    private Long ysStand;

    @ApiModelProperty(value = "屈服强度说明")
    private String ysRemark;

    @ApiModelProperty(value = "抗拉强度代表值")
    private Long tsStand;

    @ApiModelProperty(value = "抗拉强度说明")
    private String tsRemark;

    @ApiModelProperty(value = "抗拉强度最大值")
    private Long tsMax;

    @ApiModelProperty(value = "抗拉强度最小值")
    private Long tsMin;

    @ApiModelProperty(value = "硬度目标值")
    private Long hardnessAim;

    @ApiModelProperty(value = "厚度公差类型")
    private String thkTolType;

    @ApiModelProperty(value = "目标宽度")
    private Long widthAim;

    @ApiModelProperty(value = "是否集结")
    private String rallyFlag;

    @ApiModelProperty(value = "销售人员")
    private String salesman;

    @ApiModelProperty(value = "是否允许纵轧展宽")
    private String axialRollMark;

    @ApiModelProperty(value = "质保书生成规则")
    private String warrantyRule;

    @ApiModelProperty(value = "质保书抬头")
    private String warrantyHead;

    @ApiModelProperty(value = "涂漆种类")
    private String paintKind;

    @ApiModelProperty(value = "涂漆颜色")
    private String paintColor;

    @ApiModelProperty(value = "漆膜厚度")
    private String paintThick;

    @ApiModelProperty(value = "成品刷色位置")
    private String productBrushPosition;

    @ApiModelProperty(value = "成品刷色颜色")
    private String productBrushColor;

    @ApiModelProperty(value = "板材包装要求")
    private String packageRequire;

    @ApiModelProperty(value = "特殊装车要求")
    private String specLoadReq;

    @ApiModelProperty(value = "产品属性码")
    private String pac;

    @ApiModelProperty(value = "探伤标准1")
    private String erpUtSpec1;

    @ApiModelProperty(value = "探伤等级1")
    private String erpUtGrade1;

    @ApiModelProperty(value = "探伤标准2")
    private String erpUtSpec2;

    @ApiModelProperty(value = "探伤等级2")
    private String erpUtGrade2;

    @ApiModelProperty(value = "探伤标准3")
    private String erpUtSpec3;

    @ApiModelProperty(value = "探伤等级3")
    private String erpUtGrade3;

    @ApiModelProperty(value = "是否探伤")
    private String isUt;

    @ApiModelProperty(value = "厚度同板差")
    private Long thickFluc;

    @ApiModelProperty(value = "奉送样频率")
    private Long giveSampleFreq;

    @ApiModelProperty(value = "需方用户代码")
    private String settUserNum;

    @ApiModelProperty(value = "需方用户名称")
    private String settUserName;

    @ApiModelProperty(value = "需方用户英文名称")
    private String settUserEname;

    @ApiModelProperty(value = "使用用户代码")
    private String actUserCode;

    @ApiModelProperty(value = "使用用户中文名称")
    private String actUserCname;

    @ApiModelProperty(value = "使用用户英文名称")
    private String actUserEname;

    @ApiModelProperty(value = "是否试样添加标记")
    private Long sampleGenFlag;

    @ApiModelProperty(value = "客户要求热处理路径")
    private String custHeatTreatmentType;

    @ApiModelProperty(value = "是否含有成品成分")
    private String isResultChe;

    @ApiModelProperty(value = "特殊喷印要求2")
    private String specialPrint2;


    public Long getPomId() {
        return pomId;
    }

    public void setPomId(Long pomId) {
        this.pomId = pomId;
    }

    public String getPactNo() {
        return pactNo;
    }

    public void setPactNo(String pactNo) {
        this.pactNo = pactNo;
    }

    public String getOrderNo() {
        return orderNo;
    }

    public void setOrderNo(String orderNo) {
        this.orderNo = orderNo;
    }

    public Long getSendNum() {
        return sendNum;
    }

    public void setSendNum(Long sendNum) {
        this.sendNum = sendNum;
    }

    public String getOrderTypeCode() {
        return orderTypeCode;
    }

    public void setOrderTypeCode(String orderTypeCode) {
        this.orderTypeCode = orderTypeCode;
    }

    public String getOrderNoErp() {
        return orderNoErp;
    }

    public void setOrderNoErp(String orderNoErp) {
        this.orderNoErp = orderNoErp;
    }

    public String getOrderNoCustom() {
        return orderNoCustom;
    }

    public void setOrderNoCustom(String orderNoCustom) {
        this.orderNoCustom = orderNoCustom;
    }

    public String getMergOrderNo() {
        return mergOrderNo;
    }

    public void setMergOrderNo(String mergOrderNo) {
        this.mergOrderNo = mergOrderNo;
    }

    public Date getOrderCreateTime() {
        return orderCreateTime;
    }

    public void setOrderCreateTime(Date orderCreateTime) {
        this.orderCreateTime = orderCreateTime;
    }

    public Date getOrderRecvTime() {
        return orderRecvTime;
    }

    public void setOrderRecvTime(Date orderRecvTime) {
        this.orderRecvTime = orderRecvTime;
    }

    public String getDelivyDate() {
        return delivyDate;
    }

    public void setDelivyDate(String delivyDate) {
        this.delivyDate = delivyDate;
    }

    public String getDelivyDatePerd() {
        return delivyDatePerd;
    }

    public void setDelivyDatePerd(String delivyDatePerd) {
        this.delivyDatePerd = delivyDatePerd;
    }

    public String getDelivyDateAccu() {
        return delivyDateAccu;
    }

    public void setDelivyDateAccu(String delivyDateAccu) {
        this.delivyDateAccu = delivyDateAccu;
    }

    public String getDelivyDateUser() {
        return delivyDateUser;
    }

    public void setDelivyDateUser(String delivyDateUser) {
        this.delivyDateUser = delivyDateUser;
    }

    public Date getProdReadyDate() {
        return prodReadyDate;
    }

    public void setProdReadyDate(Date prodReadyDate) {
        this.prodReadyDate = prodReadyDate;
    }

    public String getUrgOrderFlag() {
        return urgOrderFlag;
    }

    public void setUrgOrderFlag(String urgOrderFlag) {
        this.urgOrderFlag = urgOrderFlag;
    }

    public String getDelivyQtyFlag() {
        return delivyQtyFlag;
    }

    public void setDelivyQtyFlag(String delivyQtyFlag) {
        this.delivyQtyFlag = delivyQtyFlag;
    }

    public String getFinCustCode() {
        return finCustCode;
    }

    public void setFinCustCode(String finCustCode) {
        this.finCustCode = finCustCode;
    }

    public String getFinCustEname() {
        return finCustEname;
    }

    public void setFinCustEname(String finCustEname) {
        this.finCustEname = finCustEname;
    }

    public String getFinCustCname() {
        return finCustCname;
    }

    public void setFinCustCname(String finCustCname) {
        this.finCustCname = finCustCname;
    }

    public String getOrderCustCode() {
        return orderCustCode;
    }

    public void setOrderCustCode(String orderCustCode) {
        this.orderCustCode = orderCustCode;
    }

    public String getOrderCustEname() {
        return orderCustEname;
    }

    public void setOrderCustEname(String orderCustEname) {
        this.orderCustEname = orderCustEname;
    }

    public String getOrderCustCname() {
        return orderCustCname;
    }

    public void setOrderCustCname(String orderCustCname) {
        this.orderCustCname = orderCustCname;
    }

    public String getConsignUserCode() {
        return consignUserCode;
    }

    public void setConsignUserCode(String consignUserCode) {
        this.consignUserCode = consignUserCode;
    }

    public String getConsignCustEname() {
        return consignCustEname;
    }

    public void setConsignCustEname(String consignCustEname) {
        this.consignCustEname = consignCustEname;
    }

    public String getConsignCustCname() {
        return consignCustCname;
    }

    public void setConsignCustCname(String consignCustCname) {
        this.consignCustCname = consignCustCname;
    }

    public String getBalanceUserCode() {
        return balanceUserCode;
    }

    public void setBalanceUserCode(String balanceUserCode) {
        this.balanceUserCode = balanceUserCode;
    }

    public String getBalanceUserCname() {
        return balanceUserCname;
    }

    public void setBalanceUserCname(String balanceUserCname) {
        this.balanceUserCname = balanceUserCname;
    }

    public String getBalanceUserEname() {
        return balanceUserEname;
    }

    public void setBalanceUserEname(String balanceUserEname) {
        this.balanceUserEname = balanceUserEname;
    }

    public String getPsc() {
        return psc;
    }

    public void setPsc(String psc) {
        this.psc = psc;
    }

    public String getApn() {
        return apn;
    }

    public void setApn(String apn) {
        this.apn = apn;
    }

    public String getMsc() {
        return msc;
    }

    public void setMsc(String msc) {
        this.msc = msc;
    }

    public String getSgSign() {
        return sgSign;
    }

    public void setSgSign(String sgSign) {
        this.sgSign = sgSign;
    }

    public String getSgStd() {
        return sgStd;
    }

    public void setSgStd(String sgStd) {
        this.sgStd = sgStd;
    }

    public String getSurfaceAccu() {
        return surfaceAccu;
    }

    public void setSurfaceAccu(String surfaceAccu) {
        this.surfaceAccu = surfaceAccu;
    }

    public String getSurfaceAccuClassCode() {
        return surfaceAccuClassCode;
    }

    public void setSurfaceAccuClassCode(String surfaceAccuClassCode) {
        this.surfaceAccuClassCode = surfaceAccuClassCode;
    }

    public String getSurfaceAccuCode() {
        return surfaceAccuCode;
    }

    public void setSurfaceAccuCode(String surfaceAccuCode) {
        this.surfaceAccuCode = surfaceAccuCode;
    }

    public String getCustStdCode() {
        return custStdCode;
    }

    public void setCustStdCode(String custStdCode) {
        this.custStdCode = custStdCode;
    }

    public String getCustStd() {
        return custStd;
    }

    public void setCustStd(String custStd) {
        this.custStd = custStd;
    }

    public String getCustSgCode() {
        return custSgCode;
    }

    public void setCustSgCode(String custSgCode) {
        this.custSgCode = custSgCode;
    }

    public String getCustSg() {
        return custSg;
    }

    public void setCustSg(String custSg) {
        this.custSg = custSg;
    }

    public String getProdCode() {
        return prodCode;
    }

    public void setProdCode(String prodCode) {
        this.prodCode = prodCode;
    }

    public String getProdEname() {
        return prodEname;
    }

    public void setProdEname(String prodEname) {
        this.prodEname = prodEname;
    }

    public String getProdEnameOther() {
        return prodEnameOther;
    }

    public void setProdEnameOther(String prodEnameOther) {
        this.prodEnameOther = prodEnameOther;
    }

    public String getProdCname() {
        return prodCname;
    }

    public void setProdCname(String prodCname) {
        this.prodCname = prodCname;
    }

    public String getProdCnameOther() {
        return prodCnameOther;
    }

    public void setProdCnameOther(String prodCnameOther) {
        this.prodCnameOther = prodCnameOther;
    }

    public Long getCertiNum() {
        return certiNum;
    }

    public void setCertiNum(Long certiNum) {
        this.certiNum = certiNum;
    }

    public String getMetricOrEngFlag() {
        return metricOrEngFlag;
    }

    public void setMetricOrEngFlag(String metricOrEngFlag) {
        this.metricOrEngFlag = metricOrEngFlag;
    }

    public String getChnOrEngFlag() {
        return chnOrEngFlag;
    }

    public void setChnOrEngFlag(String chnOrEngFlag) {
        this.chnOrEngFlag = chnOrEngFlag;
    }

    public Long getOrderThick() {
        return orderThick;
    }

    public void setOrderThick(Long orderThick) {
        this.orderThick = orderThick;
    }

    public String getOrderEngThick() {
        return orderEngThick;
    }

    public void setOrderEngThick(String orderEngThick) {
        this.orderEngThick = orderEngThick;
    }

    public Long getOrderWidth() {
        return orderWidth;
    }

    public void setOrderWidth(Long orderWidth) {
        this.orderWidth = orderWidth;
    }

    public String getOrderEngWidth() {
        return orderEngWidth;
    }

    public void setOrderEngWidth(String orderEngWidth) {
        this.orderEngWidth = orderEngWidth;
    }

    public Long getOrderLen() {
        return orderLen;
    }

    public void setOrderLen(Long orderLen) {
        this.orderLen = orderLen;
    }

    public String getOrderEngLen() {
        return orderEngLen;
    }

    public void setOrderEngLen(String orderEngLen) {
        this.orderEngLen = orderEngLen;
    }

    public Long getOrderMinLen() {
        return orderMinLen;
    }

    public void setOrderMinLen(Long orderMinLen) {
        this.orderMinLen = orderMinLen;
    }

    public Long getOrderMaxLen() {
        return orderMaxLen;
    }

    public void setOrderMaxLen(Long orderMaxLen) {
        this.orderMaxLen = orderMaxLen;
    }

    public String getOrderEngMinLen() {
        return orderEngMinLen;
    }

    public void setOrderEngMinLen(String orderEngMinLen) {
        this.orderEngMinLen = orderEngMinLen;
    }

    public String getOrderEngMaxLen() {
        return orderEngMaxLen;
    }

    public void setOrderEngMaxLen(String orderEngMaxLen) {
        this.orderEngMaxLen = orderEngMaxLen;
    }

    public Long getOrderWt() {
        return orderWt;
    }

    public void setOrderWt(Long orderWt) {
        this.orderWt = orderWt;
    }

    public Long getDelivyWtTolPlus() {
        return delivyWtTolPlus;
    }

    public void setDelivyWtTolPlus(Long delivyWtTolPlus) {
        this.delivyWtTolPlus = delivyWtTolPlus;
    }

    public Long getDelivyWtTolMinus() {
        return delivyWtTolMinus;
    }

    public void setDelivyWtTolMinus(Long delivyWtTolMinus) {
        this.delivyWtTolMinus = delivyWtTolMinus;
    }

    public Long getOrderUnitAimWt() {
        return orderUnitAimWt;
    }

    public void setOrderUnitAimWt(Long orderUnitAimWt) {
        this.orderUnitAimWt = orderUnitAimWt;
    }

    public Long getOrderUnitMinWt() {
        return orderUnitMinWt;
    }

    public void setOrderUnitMinWt(Long orderUnitMinWt) {
        this.orderUnitMinWt = orderUnitMinWt;
    }

    public Long getOrderUnitMaxWt() {
        return orderUnitMaxWt;
    }

    public void setOrderUnitMaxWt(Long orderUnitMaxWt) {
        this.orderUnitMaxWt = orderUnitMaxWt;
    }

    public Long getOrderShortRate() {
        return orderShortRate;
    }

    public void setOrderShortRate(Long orderShortRate) {
        this.orderShortRate = orderShortRate;
    }

    public Long getOrderShortMax() {
        return orderShortMax;
    }

    public void setOrderShortMax(Long orderShortMax) {
        this.orderShortMax = orderShortMax;
    }

    public Long getOrderShortMin() {
        return orderShortMin;
    }

    public void setOrderShortMin(Long orderShortMin) {
        this.orderShortMin = orderShortMin;
    }

    public String getOrderUnitCode() {
        return orderUnitCode;
    }

    public void setOrderUnitCode(String orderUnitCode) {
        this.orderUnitCode = orderUnitCode;
    }

    public Long getOrderQty() {
        return orderQty;
    }

    public void setOrderQty(Long orderQty) {
        this.orderQty = orderQty;
    }

    public Long getOrderNum() {
        return orderNum;
    }

    public void setOrderNum(Long orderNum) {
        this.orderNum = orderNum;
    }

    public Long getDelivyNumTolPlus() {
        return delivyNumTolPlus;
    }

    public void setDelivyNumTolPlus(Long delivyNumTolPlus) {
        this.delivyNumTolPlus = delivyNumTolPlus;
    }

    public Long getDelivyNumTolMinus() {
        return delivyNumTolMinus;
    }

    public void setDelivyNumTolMinus(Long delivyNumTolMinus) {
        this.delivyNumTolMinus = delivyNumTolMinus;
    }

    public String getWtMethodCode() {
        return wtMethodCode;
    }

    public void setWtMethodCode(String wtMethodCode) {
        this.wtMethodCode = wtMethodCode;
    }

    public String getWtMethodName() {
        return wtMethodName;
    }

    public void setWtMethodName(String wtMethodName) {
        this.wtMethodName = wtMethodName;
    }

    public String getPackTypeCode() {
        return packTypeCode;
    }

    public void setPackTypeCode(String packTypeCode) {
        this.packTypeCode = packTypeCode;
    }

    public String getMarkTypeCode() {
        return markTypeCode;
    }

    public void setMarkTypeCode(String markTypeCode) {
        this.markTypeCode = markTypeCode;
    }

    public String getMarkTypeDesc() {
        return markTypeDesc;
    }

    public void setMarkTypeDesc(String markTypeDesc) {
        this.markTypeDesc = markTypeDesc;
    }

    public String getMarkPosCode() {
        return markPosCode;
    }

    public void setMarkPosCode(String markPosCode) {
        this.markPosCode = markPosCode;
    }

    public String getMarkPosDesc() {
        return markPosDesc;
    }

    public void setMarkPosDesc(String markPosDesc) {
        this.markPosDesc = markPosDesc;
    }

    public String getOrderSpecial() {
        return orderSpecial;
    }

    public void setOrderSpecial(String orderSpecial) {
        this.orderSpecial = orderSpecial;
    }

    public String getNewTestNo() {
        return newTestNo;
    }

    public void setNewTestNo(String newTestNo) {
        this.newTestNo = newTestNo;
    }

    public String getExportFlag() {
        return exportFlag;
    }

    public void setExportFlag(String exportFlag) {
        this.exportFlag = exportFlag;
    }

    public String getTrnpModeCode() {
        return trnpModeCode;
    }

    public void setTrnpModeCode(String trnpModeCode) {
        this.trnpModeCode = trnpModeCode;
    }

    public String getDelivyPlaceCode() {
        return delivyPlaceCode;
    }

    public void setDelivyPlaceCode(String delivyPlaceCode) {
        this.delivyPlaceCode = delivyPlaceCode;
    }

    public String getDelivyPlaceName() {
        return delivyPlaceName;
    }

    public void setDelivyPlaceName(String delivyPlaceName) {
        this.delivyPlaceName = delivyPlaceName;
    }

    public String getProdDif() {
        return prodDif;
    }

    public void setProdDif(String prodDif) {
        this.prodDif = prodDif;
    }

    public String getProdCodeHp() {
        return prodCodeHp;
    }

    public void setProdCodeHp(String prodCodeHp) {
        this.prodCodeHp = prodCodeHp;
    }

    public Long getProdDensity() {
        return prodDensity;
    }

    public void setProdDensity(Long prodDensity) {
        this.prodDensity = prodDensity;
    }

    public String getProdAuth() {
        return prodAuth;
    }

    public void setProdAuth(String prodAuth) {
        this.prodAuth = prodAuth;
    }

    public String getBetterSurfWardCode() {
        return betterSurfWardCode;
    }

    public void setBetterSurfWardCode(String betterSurfWardCode) {
        this.betterSurfWardCode = betterSurfWardCode;
    }

    public Long getWtAim() {
        return wtAim;
    }

    public void setWtAim(Long wtAim) {
        this.wtAim = wtAim;
    }

    public String getCheckMethodCode() {
        return checkMethodCode;
    }

    public void setCheckMethodCode(String checkMethodCode) {
        this.checkMethodCode = checkMethodCode;
    }

    public String getAccptModeCode() {
        return accptModeCode;
    }

    public void setAccptModeCode(String accptModeCode) {
        this.accptModeCode = accptModeCode;
    }

    public String getAccpAuthCode() {
        return accpAuthCode;
    }

    public void setAccpAuthCode(String accpAuthCode) {
        this.accpAuthCode = accpAuthCode;
    }

    public String getAccptStd() {
        return accptStd;
    }

    public void setAccptStd(String accptStd) {
        this.accptStd = accptStd;
    }

    public String getCheckAuthCode() {
        return checkAuthCode;
    }

    public void setCheckAuthCode(String checkAuthCode) {
        this.checkAuthCode = checkAuthCode;
    }

    public String getDelivyDateTrnp() {
        return delivyDateTrnp;
    }

    public void setDelivyDateTrnp(String delivyDateTrnp) {
        this.delivyDateTrnp = delivyDateTrnp;
    }

    public Long getUserAppoThick() {
        return userAppoThick;
    }

    public void setUserAppoThick(Long userAppoThick) {
        this.userAppoThick = userAppoThick;
    }

    public String getTwoRollOrderMark() {
        return twoRollOrderMark;
    }

    public void setTwoRollOrderMark(String twoRollOrderMark) {
        this.twoRollOrderMark = twoRollOrderMark;
    }

    public String getTwoRollMark() {
        return twoRollMark;
    }

    public void setTwoRollMark(String twoRollMark) {
        this.twoRollMark = twoRollMark;
    }

    public String getOrderModiQmark() {
        return orderModiQmark;
    }

    public void setOrderModiQmark(String orderModiQmark) {
        this.orderModiQmark = orderModiQmark;
    }

    public String getProjectCode() {
        return projectCode;
    }

    public void setProjectCode(String projectCode) {
        this.projectCode = projectCode;
    }

    public String getProjectName() {
        return projectName;
    }

    public void setProjectName(String projectName) {
        this.projectName = projectName;
    }

    public String getShpCode() {
        return shpCode;
    }

    public void setShpCode(String shpCode) {
        this.shpCode = shpCode;
    }

    public String getWidthDiv() {
        return widthDiv;
    }

    public void setWidthDiv(String widthDiv) {
        this.widthDiv = widthDiv;
    }

    public Long getWidthMin() {
        return widthMin;
    }

    public void setWidthMin(Long widthMin) {
        this.widthMin = widthMin;
    }

    public Long getWidthMax() {
        return widthMax;
    }

    public void setWidthMax(Long widthMax) {
        this.widthMax = widthMax;
    }

    public String getLenDiv() {
        return lenDiv;
    }

    public void setLenDiv(String lenDiv) {
        this.lenDiv = lenDiv;
    }

    public Long getLenAim() {
        return lenAim;
    }

    public void setLenAim(Long lenAim) {
        this.lenAim = lenAim;
    }

    public Long getWtThickAdd() {
        return wtThickAdd;
    }

    public void setWtThickAdd(Long wtThickAdd) {
        this.wtThickAdd = wtThickAdd;
    }

    public Long getGaugeComp() {
        return gaugeComp;
    }

    public void setGaugeComp(Long gaugeComp) {
        this.gaugeComp = gaugeComp;
    }

    public String getUserManageNm() {
        return userManageNm;
    }

    public void setUserManageNm(String userManageNm) {
        this.userManageNm = userManageNm;
    }

    public String getShotFlag() {
        return shotFlag;
    }

    public void setShotFlag(String shotFlag) {
        this.shotFlag = shotFlag;
    }

    public String getShotPaintCode() {
        return shotPaintCode;
    }

    public void setShotPaintCode(String shotPaintCode) {
        this.shotPaintCode = shotPaintCode;
    }

    public String getTopPaintCode() {
        return topPaintCode;
    }

    public void setTopPaintCode(String topPaintCode) {
        this.topPaintCode = topPaintCode;
    }

    public String getBotPaintCode() {
        return botPaintCode;
    }

    public void setBotPaintCode(String botPaintCode) {
        this.botPaintCode = botPaintCode;
    }

    public String getStackMark() {
        return stackMark;
    }

    public void setStackMark(String stackMark) {
        this.stackMark = stackMark;
    }

    public String getStackMarkSize() {
        return stackMarkSize;
    }

    public void setStackMarkSize(String stackMarkSize) {
        this.stackMarkSize = stackMarkSize;
    }

    public String getTrimFlag() {
        return trimFlag;
    }

    public void setTrimFlag(String trimFlag) {
        this.trimFlag = trimFlag;
    }

    public String getPrivateRouteCode() {
        return privateRouteCode;
    }

    public void setPrivateRouteCode(String privateRouteCode) {
        this.privateRouteCode = privateRouteCode;
    }

    public String getPrivateRouteName() {
        return privateRouteName;
    }

    public void setPrivateRouteName(String privateRouteName) {
        this.privateRouteName = privateRouteName;
    }

    public String getGiveSampleFlag() {
        return giveSampleFlag;
    }

    public void setGiveSampleFlag(String giveSampleFlag) {
        this.giveSampleFlag = giveSampleFlag;
    }

    public String getGiveSampleSharp() {
        return giveSampleSharp;
    }

    public void setGiveSampleSharp(String giveSampleSharp) {
        this.giveSampleSharp = giveSampleSharp;
    }

    public Long getGiveSampleLen() {
        return giveSampleLen;
    }

    public void setGiveSampleLen(Long giveSampleLen) {
        this.giveSampleLen = giveSampleLen;
    }

    public String getSettleCode() {
        return settleCode;
    }

    public void setSettleCode(String settleCode) {
        this.settleCode = settleCode;
    }

    public String getMscLineNo() {
        return mscLineNo;
    }

    public void setMscLineNo(String mscLineNo) {
        this.mscLineNo = mscLineNo;
    }

    public String getCertiStd() {
        return certiStd;
    }

    public void setCertiStd(String certiStd) {
        this.certiStd = certiStd;
    }

    public String getSpecialPrint() {
        return specialPrint;
    }

    public void setSpecialPrint(String specialPrint) {
        this.specialPrint = specialPrint;
    }

    public String getSectionManage() {
        return sectionManage;
    }

    public void setSectionManage(String sectionManage) {
        this.sectionManage = sectionManage;
    }

    public String getHullSectionNo() {
        return hullSectionNo;
    }

    public void setHullSectionNo(String hullSectionNo) {
        this.hullSectionNo = hullSectionNo;
    }

    public Long getMinThick() {
        return minThick;
    }

    public void setMinThick(Long minThick) {
        this.minThick = minThick;
    }

    public Long getMaxThick() {
        return maxThick;
    }

    public void setMaxThick(Long maxThick) {
        this.maxThick = maxThick;
    }

    public String getNucearPartNo() {
        return nucearPartNo;
    }

    public void setNucearPartNo(String nucearPartNo) {
        this.nucearPartNo = nucearPartNo;
    }

    public String getDeliveryDate() {
        return deliveryDate;
    }

    public void setDeliveryDate(String deliveryDate) {
        this.deliveryDate = deliveryDate;
    }

    public String getPurOrder() {
        return purOrder;
    }

    public void setPurOrder(String purOrder) {
        this.purOrder = purOrder;
    }

    public String getIngotRoll() {
        return ingotRoll;
    }

    public void setIngotRoll(String ingotRoll) {
        this.ingotRoll = ingotRoll;
    }

    public String getScaleThick() {
        return scaleThick;
    }

    public void setScaleThick(String scaleThick) {
        this.scaleThick = scaleThick;
    }

    public String getNeedLecquering() {
        return needLecquering;
    }

    public void setNeedLecquering(String needLecquering) {
        this.needLecquering = needLecquering;
    }

    public String getWitnessType() {
        return witnessType;
    }

    public void setWitnessType(String witnessType) {
        this.witnessType = witnessType;
    }

    public String getStartWorkFileFlag() {
        return startWorkFileFlag;
    }

    public void setStartWorkFileFlag(String startWorkFileFlag) {
        this.startWorkFileFlag = startWorkFileFlag;
    }

    public Long getThickTolMax() {
        return thickTolMax;
    }

    public void setThickTolMax(Long thickTolMax) {
        this.thickTolMax = thickTolMax;
    }

    public Long getThickTolMin() {
        return thickTolMin;
    }

    public void setThickTolMin(Long thickTolMin) {
        this.thickTolMin = thickTolMin;
    }

    public Long getProductTargThick() {
        return productTargThick;
    }

    public void setProductTargThick(Long productTargThick) {
        this.productTargThick = productTargThick;
    }

    public Long getWidthTolMax() {
        return widthTolMax;
    }

    public void setWidthTolMax(Long widthTolMax) {
        this.widthTolMax = widthTolMax;
    }

    public Long getWidthTolMin() {
        return widthTolMin;
    }

    public void setWidthTolMin(Long widthTolMin) {
        this.widthTolMin = widthTolMin;
    }

    public Long getLenTolMax() {
        return lenTolMax;
    }

    public void setLenTolMax(Long lenTolMax) {
        this.lenTolMax = lenTolMax;
    }

    public Long getLenTolMin() {
        return lenTolMin;
    }

    public void setLenTolMin(Long lenTolMin) {
        this.lenTolMin = lenTolMin;
    }

    public Long getThickAddv() {
        return thickAddv;
    }

    public void setThickAddv(Long thickAddv) {
        this.thickAddv = thickAddv;
    }

    public Long getWidthAddv() {
        return widthAddv;
    }

    public void setWidthAddv(Long widthAddv) {
        this.widthAddv = widthAddv;
    }

    public Long getLenAddv() {
        return lenAddv;
    }

    public void setLenAddv(Long lenAddv) {
        this.lenAddv = lenAddv;
    }

    public String getMatDesignFlag() {
        return matDesignFlag;
    }

    public void setMatDesignFlag(String matDesignFlag) {
        this.matDesignFlag = matDesignFlag;
    }

    public String getUoeFlag() {
        return uoeFlag;
    }

    public void setUoeFlag(String uoeFlag) {
        this.uoeFlag = uoeFlag;
    }

    public Long getSampleLenHead() {
        return sampleLenHead;
    }

    public void setSampleLenHead(Long sampleLenHead) {
        this.sampleLenHead = sampleLenHead;
    }

    public Long getSampleLenTail() {
        return sampleLenTail;
    }

    public void setSampleLenTail(Long sampleLenTail) {
        this.sampleLenTail = sampleLenTail;
    }

    public String getRainDelvFlag() {
        return rainDelvFlag;
    }

    public void setRainDelvFlag(String rainDelvFlag) {
        this.rainDelvFlag = rainDelvFlag;
    }

    public String getUltDetectStd1() {
        return ultDetectStd1;
    }

    public void setUltDetectStd1(String ultDetectStd1) {
        this.ultDetectStd1 = ultDetectStd1;
    }

    public String getUltDetectStd2() {
        return ultDetectStd2;
    }

    public void setUltDetectStd2(String ultDetectStd2) {
        this.ultDetectStd2 = ultDetectStd2;
    }

    public String getUltDetectStd3() {
        return ultDetectStd3;
    }

    public void setUltDetectStd3(String ultDetectStd3) {
        this.ultDetectStd3 = ultDetectStd3;
    }

    public String getUltDetectStd4() {
        return ultDetectStd4;
    }

    public void setUltDetectStd4(String ultDetectStd4) {
        this.ultDetectStd4 = ultDetectStd4;
    }

    public String getUltDetectStd5() {
        return ultDetectStd5;
    }

    public void setUltDetectStd5(String ultDetectStd5) {
        this.ultDetectStd5 = ultDetectStd5;
    }

    public String getBacklogUtMark() {
        return backlogUtMark;
    }

    public void setBacklogUtMark(String backlogUtMark) {
        this.backlogUtMark = backlogUtMark;
    }

    public String getBacklogNMark() {
        return backlogNMark;
    }

    public void setBacklogNMark(String backlogNMark) {
        this.backlogNMark = backlogNMark;
    }

    public String getBacklogQMark() {
        return backlogQMark;
    }

    public void setBacklogQMark(String backlogQMark) {
        this.backlogQMark = backlogQMark;
    }

    public String getBacklogTMark() {
        return backlogTMark;
    }

    public void setBacklogTMark(String backlogTMark) {
        this.backlogTMark = backlogTMark;
    }

    public String getBacklogAMark() {
        return backlogAMark;
    }

    public void setBacklogAMark(String backlogAMark) {
        this.backlogAMark = backlogAMark;
    }

    public String getBacklogDemagMark() {
        return backlogDemagMark;
    }

    public void setBacklogDemagMark(String backlogDemagMark) {
        this.backlogDemagMark = backlogDemagMark;
    }

    public String getBacklogPtMark() {
        return backlogPtMark;
    }

    public void setBacklogPtMark(String backlogPtMark) {
        this.backlogPtMark = backlogPtMark;
    }

    public String getBacklogMtMark() {
        return backlogMtMark;
    }

    public void setBacklogMtMark(String backlogMtMark) {
        this.backlogMtMark = backlogMtMark;
    }

    public String getBacklogTmcpMark() {
        return backlogTmcpMark;
    }

    public void setBacklogTmcpMark(String backlogTmcpMark) {
        this.backlogTmcpMark = backlogTmcpMark;
    }

    public String getProdSrMark() {
        return prodSrMark;
    }

    public void setProdSrMark(String prodSrMark) {
        this.prodSrMark = prodSrMark;
    }

    public String getProdSideMark() {
        return prodSideMark;
    }

    public void setProdSideMark(String prodSideMark) {
        this.prodSideMark = prodSideMark;
    }

    public String getProdShotMark() {
        return prodShotMark;
    }

    public void setProdShotMark(String prodShotMark) {
        this.prodShotMark = prodShotMark;
    }

    public String getProdNMark() {
        return prodNMark;
    }

    public void setProdNMark(String prodNMark) {
        this.prodNMark = prodNMark;
    }

    public String getProdQMark() {
        return prodQMark;
    }

    public void setProdQMark(String prodQMark) {
        this.prodQMark = prodQMark;
    }

    public String getProdTMark() {
        return prodTMark;
    }

    public void setProdTMark(String prodTMark) {
        this.prodTMark = prodTMark;
    }

    public String getProdAMark() {
        return prodAMark;
    }

    public void setProdAMark(String prodAMark) {
        this.prodAMark = prodAMark;
    }

    public String getCDiv() {
        return cDiv;
    }

    public void setCDiv(String cDiv) {
        this.cDiv = cDiv;
    }

    public String getAlloyDiv() {
        return alloyDiv;
    }

    public void setAlloyDiv(String alloyDiv) {
        this.alloyDiv = alloyDiv;
    }

    public Long getSlabMinLenRate() {
        return slabMinLenRate;
    }

    public void setSlabMinLenRate(Long slabMinLenRate) {
        this.slabMinLenRate = slabMinLenRate;
    }

    public Long getSlabMaxLenRate() {
        return slabMaxLenRate;
    }

    public void setSlabMaxLenRate(Long slabMaxLenRate) {
        this.slabMaxLenRate = slabMaxLenRate;
    }

    public Long getSlabMinWtRate() {
        return slabMinWtRate;
    }

    public void setSlabMinWtRate(Long slabMinWtRate) {
        this.slabMinWtRate = slabMinWtRate;
    }

    public String getPickPatternCode() {
        return pickPatternCode;
    }

    public void setPickPatternCode(String pickPatternCode) {
        this.pickPatternCode = pickPatternCode;
    }

    public String getSampleModeCode() {
        return sampleModeCode;
    }

    public void setSampleModeCode(String sampleModeCode) {
        this.sampleModeCode = sampleModeCode;
    }

    public Long getPlateCrown() {
        return plateCrown;
    }

    public void setPlateCrown(Long plateCrown) {
        this.plateCrown = plateCrown;
    }

    public String getPlusFlag() {
        return plusFlag;
    }

    public void setPlusFlag(String plusFlag) {
        this.plusFlag = plusFlag;
    }

    public String getDeliveryState() {
        return deliveryState;
    }

    public void setDeliveryState(String deliveryState) {
        this.deliveryState = deliveryState;
    }

    public String getPlanerFlag() {
        return planerFlag;
    }

    public void setPlanerFlag(String planerFlag) {
        this.planerFlag = planerFlag;
    }

    public Long getTenantId() {
        return tenantId;
    }

    public void setTenantId(Long tenantId) {
        this.tenantId = tenantId;
    }

    public String getAttribute1() {
        return attribute1;
    }

    public void setAttribute1(String attribute1) {
        this.attribute1 = attribute1;
    }

    public String getAttribute2() {
        return attribute2;
    }

    public void setAttribute2(String attribute2) {
        this.attribute2 = attribute2;
    }

    public String getAttribute3() {
        return attribute3;
    }

    public void setAttribute3(String attribute3) {
        this.attribute3 = attribute3;
    }

    public String getAttribute4() {
        return attribute4;
    }

    public void setAttribute4(String attribute4) {
        this.attribute4 = attribute4;
    }

    public String getAttribute5() {
        return attribute5;
    }

    public void setAttribute5(String attribute5) {
        this.attribute5 = attribute5;
    }

    public Long getStainlessThk() {
        return stainlessThk;
    }

    public void setStainlessThk(Long stainlessThk) {
        this.stainlessThk = stainlessThk;
    }

    public Long getCompBoardDensity() {
        return compBoardDensity;
    }

    public void setCompBoardDensity(Long compBoardDensity) {
        this.compBoardDensity = compBoardDensity;
    }

    public String getProdClassCode() {
        return prodClassCode;
    }

    public void setProdClassCode(String prodClassCode) {
        this.prodClassCode = prodClassCode;
    }

    public String getProvCode() {
        return provCode;
    }

    public void setProvCode(String provCode) {
        this.provCode = provCode;
    }

    public String getWitnessProNo() {
        return witnessProNo;
    }

    public void setWitnessProNo(String witnessProNo) {
        this.witnessProNo = witnessProNo;
    }

    public String getPayCode() {
        return payCode;
    }

    public void setPayCode(String payCode) {
        this.payCode = payCode;
    }

    public Long getPrintType() {
        return printType;
    }

    public void setPrintType(Long printType) {
        this.printType = printType;
    }

    public String getFacePrintDetailA() {
        return facePrintDetailA;
    }

    public void setFacePrintDetailA(String facePrintDetailA) {
        this.facePrintDetailA = facePrintDetailA;
    }

    public String getFacePrintDetailB() {
        return facePrintDetailB;
    }

    public void setFacePrintDetailB(String facePrintDetailB) {
        this.facePrintDetailB = facePrintDetailB;
    }

    public String getFacePrintDetailC() {
        return facePrintDetailC;
    }

    public void setFacePrintDetailC(String facePrintDetailC) {
        this.facePrintDetailC = facePrintDetailC;
    }

    public String getFacePrintDetailD() {
        return facePrintDetailD;
    }

    public void setFacePrintDetailD(String facePrintDetailD) {
        this.facePrintDetailD = facePrintDetailD;
    }

    public String getFacePrintDetailE() {
        return facePrintDetailE;
    }

    public void setFacePrintDetailE(String facePrintDetailE) {
        this.facePrintDetailE = facePrintDetailE;
    }

    public String getFacePrintDetailF() {
        return facePrintDetailF;
    }

    public void setFacePrintDetailF(String facePrintDetailF) {
        this.facePrintDetailF = facePrintDetailF;
    }

    public String getFacePrintDetailG() {
        return facePrintDetailG;
    }

    public void setFacePrintDetailG(String facePrintDetailG) {
        this.facePrintDetailG = facePrintDetailG;
    }

    public String getFacePrintDetailH() {
        return facePrintDetailH;
    }

    public void setFacePrintDetailH(String facePrintDetailH) {
        this.facePrintDetailH = facePrintDetailH;
    }

    public String getSidePrintDetailA() {
        return sidePrintDetailA;
    }

    public void setSidePrintDetailA(String sidePrintDetailA) {
        this.sidePrintDetailA = sidePrintDetailA;
    }

    public String getSidePrintDetailB() {
        return sidePrintDetailB;
    }

    public void setSidePrintDetailB(String sidePrintDetailB) {
        this.sidePrintDetailB = sidePrintDetailB;
    }

    public String getStampPrintDetailA() {
        return stampPrintDetailA;
    }

    public void setStampPrintDetailA(String stampPrintDetailA) {
        this.stampPrintDetailA = stampPrintDetailA;
    }

    public String getStampPrintDetailB() {
        return stampPrintDetailB;
    }

    public void setStampPrintDetailB(String stampPrintDetailB) {
        this.stampPrintDetailB = stampPrintDetailB;
    }

    public String getStampPrintDetailC() {
        return stampPrintDetailC;
    }

    public void setStampPrintDetailC(String stampPrintDetailC) {
        this.stampPrintDetailC = stampPrintDetailC;
    }

    public String getStampPrintDetailD() {
        return stampPrintDetailD;
    }

    public void setStampPrintDetailD(String stampPrintDetailD) {
        this.stampPrintDetailD = stampPrintDetailD;
    }

    public Long getYsStand() {
        return ysStand;
    }

    public void setYsStand(Long ysStand) {
        this.ysStand = ysStand;
    }

    public String getYsRemark() {
        return ysRemark;
    }

    public void setYsRemark(String ysRemark) {
        this.ysRemark = ysRemark;
    }

    public Long getTsStand() {
        return tsStand;
    }

    public void setTsStand(Long tsStand) {
        this.tsStand = tsStand;
    }

    public String getTsRemark() {
        return tsRemark;
    }

    public void setTsRemark(String tsRemark) {
        this.tsRemark = tsRemark;
    }

    public Long getTsMax() {
        return tsMax;
    }

    public void setTsMax(Long tsMax) {
        this.tsMax = tsMax;
    }

    public Long getTsMin() {
        return tsMin;
    }

    public void setTsMin(Long tsMin) {
        this.tsMin = tsMin;
    }

    public Long getHardnessAim() {
        return hardnessAim;
    }

    public void setHardnessAim(Long hardnessAim) {
        this.hardnessAim = hardnessAim;
    }

    public String getThkTolType() {
        return thkTolType;
    }

    public void setThkTolType(String thkTolType) {
        this.thkTolType = thkTolType;
    }

    public Long getWidthAim() {
        return widthAim;
    }

    public void setWidthAim(Long widthAim) {
        this.widthAim = widthAim;
    }

    public String getRallyFlag() {
        return rallyFlag;
    }

    public void setRallyFlag(String rallyFlag) {
        this.rallyFlag = rallyFlag;
    }

    public String getSalesman() {
        return salesman;
    }

    public void setSalesman(String salesman) {
        this.salesman = salesman;
    }

    public String getAxialRollMark() {
        return axialRollMark;
    }

    public void setAxialRollMark(String axialRollMark) {
        this.axialRollMark = axialRollMark;
    }

    public String getWarrantyRule() {
        return warrantyRule;
    }

    public void setWarrantyRule(String warrantyRule) {
        this.warrantyRule = warrantyRule;
    }

    public String getWarrantyHead() {
        return warrantyHead;
    }

    public void setWarrantyHead(String warrantyHead) {
        this.warrantyHead = warrantyHead;
    }

    public String getPaintKind() {
        return paintKind;
    }

    public void setPaintKind(String paintKind) {
        this.paintKind = paintKind;
    }

    public String getPaintColor() {
        return paintColor;
    }

    public void setPaintColor(String paintColor) {
        this.paintColor = paintColor;
    }

    public String getPaintThick() {
        return paintThick;
    }

    public void setPaintThick(String paintThick) {
        this.paintThick = paintThick;
    }

    public String getProductBrushPosition() {
        return productBrushPosition;
    }

    public void setProductBrushPosition(String productBrushPosition) {
        this.productBrushPosition = productBrushPosition;
    }

    public String getProductBrushColor() {
        return productBrushColor;
    }

    public void setProductBrushColor(String productBrushColor) {
        this.productBrushColor = productBrushColor;
    }

    public String getPackageRequire() {
        return packageRequire;
    }

    public void setPackageRequire(String packageRequire) {
        this.packageRequire = packageRequire;
    }

    public String getSpecLoadReq() {
        return specLoadReq;
    }

    public void setSpecLoadReq(String specLoadReq) {
        this.specLoadReq = specLoadReq;
    }

    public String getPac() {
        return pac;
    }

    public void setPac(String pac) {
        this.pac = pac;
    }

    public String getErpUtSpec1() {
        return erpUtSpec1;
    }

    public void setErpUtSpec1(String erpUtSpec1) {
        this.erpUtSpec1 = erpUtSpec1;
    }

    public String getErpUtGrade1() {
        return erpUtGrade1;
    }

    public void setErpUtGrade1(String erpUtGrade1) {
        this.erpUtGrade1 = erpUtGrade1;
    }

    public String getErpUtSpec2() {
        return erpUtSpec2;
    }

    public void setErpUtSpec2(String erpUtSpec2) {
        this.erpUtSpec2 = erpUtSpec2;
    }

    public String getErpUtGrade2() {
        return erpUtGrade2;
    }

    public void setErpUtGrade2(String erpUtGrade2) {
        this.erpUtGrade2 = erpUtGrade2;
    }

    public String getErpUtSpec3() {
        return erpUtSpec3;
    }

    public void setErpUtSpec3(String erpUtSpec3) {
        this.erpUtSpec3 = erpUtSpec3;
    }

    public String getErpUtGrade3() {
        return erpUtGrade3;
    }

    public void setErpUtGrade3(String erpUtGrade3) {
        this.erpUtGrade3 = erpUtGrade3;
    }

    public String getIsUt() {
        return isUt;
    }

    public void setIsUt(String isUt) {
        this.isUt = isUt;
    }

    public Long getThickFluc() {
        return thickFluc;
    }

    public void setThickFluc(Long thickFluc) {
        this.thickFluc = thickFluc;
    }

    public Long getGiveSampleFreq() {
        return giveSampleFreq;
    }

    public void setGiveSampleFreq(Long giveSampleFreq) {
        this.giveSampleFreq = giveSampleFreq;
    }

    public String getSettUserNum() {
        return settUserNum;
    }

    public void setSettUserNum(String settUserNum) {
        this.settUserNum = settUserNum;
    }

    public String getSettUserName() {
        return settUserName;
    }

    public void setSettUserName(String settUserName) {
        this.settUserName = settUserName;
    }

    public String getSettUserEname() {
        return settUserEname;
    }

    public void setSettUserEname(String settUserEname) {
        this.settUserEname = settUserEname;
    }

    public String getActUserCode() {
        return actUserCode;
    }

    public void setActUserCode(String actUserCode) {
        this.actUserCode = actUserCode;
    }

    public String getActUserCname() {
        return actUserCname;
    }

    public void setActUserCname(String actUserCname) {
        this.actUserCname = actUserCname;
    }

    public String getActUserEname() {
        return actUserEname;
    }

    public void setActUserEname(String actUserEname) {
        this.actUserEname = actUserEname;
    }

    public Long getSampleGenFlag() {
        return sampleGenFlag;
    }

    public void setSampleGenFlag(Long sampleGenFlag) {
        this.sampleGenFlag = sampleGenFlag;
    }

    public String getCustHeatTreatmentType() {
        return custHeatTreatmentType;
    }

    public void setCustHeatTreatmentType(String custHeatTreatmentType) {
        this.custHeatTreatmentType = custHeatTreatmentType;
    }

    public String getIsResultChe() {
        return isResultChe;
    }

    public void setIsResultChe(String isResultChe) {
        this.isResultChe = isResultChe;
    }

    public String getSpecialPrint2() {
        return specialPrint2;
    }

    public void setSpecialPrint2(String specialPrint2) {
        this.specialPrint2 = specialPrint2;
    }

}

